Name:          fwupd-efi
Version:       1.6
Release:       1mamba
Summary:       EFI Application used by uefi-capsule plugin in fwupd
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/fwupd/fwupd-efi
Source:        https://github.com/fwupd/fwupd-efi.git/%{version}/fwupd-efi-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: gnu-efi
BuildRequires: python-pefile-py3

%description
EFI Application used by uefi-capsule plugin in fwupd.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

#% debug_package

%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libexecdir}/fwupd/efi
%{_libexecdir}/fwupd/efi/fwupd*.efi
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/fwupd-efi.pc
%doc README.md

%changelog
* Sun Jun 09 2024 Automatic Build System <autodist@openmamba.org> 1.6-1mamba
- automatic version update by autodist

* Thu Apr 14 2022 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Mon Jan 24 2022 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Sun Jun 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- package created using the webbuild interface
